CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

文本颜色属性 (ActiveX)

2023-1-3 04:23| 发布者: admin| 查看: 201| 评论: 0|来自: AutoCAD

摘要: 指定尺寸和公差对象的文本颜色。

指定尺寸和公差对象的文本颜色。

支持的平台:仅窗口

签名

工 务 局:

object.TextColor
对象

类型:三点角度,暗对齐,暗,暗弧长度,暗直径,尺寸,暗坐标,径向,大,暗旋转MLeader样式公差

此属性适用的对象。

属性值

只读:

类型:枚举acColor

使用介于 0 到 256 之间的颜色索引号,或此处列出的常量之一:

  • acByBlock
  • acByLayer
  • acRed
  • acYellow
  • acGreen
  • acCyan
  • acBlue
  • acMagenta
  • acWhite

言论

可以将颜色设置为数字索引值,范围从 0 到 256。为标准的七种颜色以及 BYBLOCK 和 BYLAYER 名称提供了常量。

如果使用,AutoCAD 将以默认颜色(白色或黑色,具体取决于您的配置)绘制新对象,直到它们被分组到块中。在图形中插入块时,块中的对象将继承颜色属性的当前设置。acByBlock

如果使用,新对象将采用绘制它们的图层的颜色。acByLayer

注意:此属性将覆盖给定尺寸或公差对象的 DIMCLRT 系统变量的值。

例子

工 务 局:

Sub Example_TextColor()
   ' This example creates an aligned dimension in model space and
   ' uses the TextColor property to toggle the dimension text color to red

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 7: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ThisDrawing.Application.ZoomAll

    ' Read and display current dimension text color
    MsgBox "The dimension text color for this object is currently set to: " & dimObj.TextColor

    ' Change the dimension text color
    dimObj.TextColor = acRed
    ThisDrawing.Regen acAllViewports
    
    ' Read and display current dimension text color
    MsgBox "The dimension text color for this object is now set to: " & dimObj.TextColor & " (Red)"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_TextColor()
    ;; This example creates an aligned dimension in model space and
    ;; uses the TextColor property to toggle the dimension text color to red
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 7 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; Read and display current dimension text color
    (alert (strcat "The dimension text color for this object is currently set to: " (itoa (vla-get-TextColor dimObj))))

    ;; Change the dimension text color
    (vla-put-TextColor dimObj acRed)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display current dimension text color
    (alert (strcat "The dimension text color for this object is now set to: " (itoa (vla-get-TextColor dimObj)) " (Red)"))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:59

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部